Page MenuHomePhabricator

Prototype a Video.JS audio skin
Closed, ResolvedPublic

Description

Video.js default skin is really only suited for video playback. We will need to create/borrow a skin and/or player mode that really works for <audio>.

Event Timeline

TheDJ created this task.Nov 19 2015, 9:36 AM
TheDJ claimed this task.
TheDJ raised the priority of this task from to Low.
TheDJ updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2015, 9:36 AM
TheDJ moved this task from Backlog to Player on the TimedMediaHandler board.Nov 19 2015, 3:26 PM
brion added a subscriber: brion.Nov 20 2015, 6:53 PM
TheDJ added a comment.Dec 1 2015, 12:21 PM

In my latest version of the patch, I have a simple audio player working. But it still requires more work for small width versions and spoken article badges.

TheDJ added a comment.Dec 2 2015, 4:01 PM

I've added a loading indicator to the audio player, since the standard one was a huge spinner. This uses a indeterminate progress bar.

TheDJ added a comment.Dec 8 2015, 2:32 PM

Code to apply layout classes depending on the current size of the player.
http://jsfiddle.net/TheDJ/7pghk2dv/25/

Change 258359 had a related patch set uploaded (by TheDJ):
Make controlbar layout depend on the player width

https://gerrit.wikimedia.org/r/258359

The audio player mode still requires a bit more work to be able to fully and properly use this new plugin.
http://tools.wmflabs.org/hartman/mediawiki-dev/index.php?title=Sizes

TheDJ renamed this task from Prototype a Video.JS audio skin and mini (badge) player to Prototype a Video.JS audio skin.Jan 5 2016, 6:59 PM
TheDJ updated the task description. (Show Details)
TheDJ set Security to None.

Change 258359 merged by jenkins-bot:
Make controlbar layout depend on the player width

https://gerrit.wikimedia.org/r/258359

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 9:02 PM
Paladox removed a subscriber: gerritbot.

Change 287778 had a related patch set uploaded (by TheDJ):
Fix sizing of audio player and fully hide native controls

https://gerrit.wikimedia.org/r/287778

Change 287778 merged by jenkins-bot:
Fix sizing of audio player and fully hide native controls

https://gerrit.wikimedia.org/r/287778

TheDJ moved this task from Player to Doing on the TimedMediaHandler board.May 10 2016, 12:31 PM
TheDJ closed this task as Resolved.May 13 2016, 8:06 AM

I'm considering this part more or less fixed

TheDJ moved this task from Doing to Done on the TimedMediaHandler board.May 13 2016, 8:07 AM